Bug 110353 - 'ant deploy' deploys 3rd party JARs for pre-built applications to wrong location
'ant deploy' deploys 3rd party JARs for pre-built applications to wrong location
Status: CLOSED WORKSFORME
Product: Red Hat Web Application Framework
Classification: Retired
Component: other (Show other bugs)
nightly
All Linux
medium Severity high
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-18 13:47 EST by Daniel Berrange
Modified: 2007-04-18 12:59 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-20 12:59:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2003-11-18 13:47:32 EST
Description of problem:
I'm setting up a project that uses pre-built versions of core, cms, &
all the other APLAWS apps. I run ant deploy, follow the usual load &
hostinit processes. When I finally visit a page it is unable to find
the log4j Category class. Looking at the
$CCM_WEB_HOME/webapps/WEB-INF/lib directory i see that the 3rd party
JARs such as log4j are being deployed to subdirectories of 'WEB-INF/lib'.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
From a deployed dev environment:

[arturo@staging01 aplaws-camden]$ cd $CCM_WEB_HOME/webapps/WEB-INF/lib
[arturo@staging01 lib]$ ls
ccm-cms-6.1.0                               
ccm-cms-types-legalnotice-6.1.0-sql.jar   ccm-ldn-atoz-1.0.0-pdl.jar
ccm-cms-6.1.0.jar                           
ccm-cms-types-minutes-6.1.0               ccm-ldn-atoz-1.0.0-sql.jar
ccm-cms-6.1.0-pdl.jar                       
ccm-cms-types-minutes-6.1.0.jar           ccm-ldn-dublin-1.4.1
ccm-cms-6.1.0-sql.jar                       
ccm-cms-types-minutes-6.1.0-pdl.jar       ccm-ldn-dublin-1.4.1.jar
ccm-cms-types-address-6.1.0                 
ccm-cms-types-minutes-6.1.0-sql.jar       ccm-ldn-dublin-1.4.1-pdl.jar
ccm-cms-types-address-6.1.0.jar             
ccm-cms-types-motditem-6.1.0              ccm-ldn-dublin-1.4.1-sql.jar
ccm-cms-types-address-6.1.0-pdl.jar         
ccm-cms-types-motditem-6.1.0.jar          ccm-ldn-freeform-1.4.1
ccm-cms-types-address-6.1.0-sql.jar         
ccm-cms-types-motditem-6.1.0-pdl.jar      ccm-ldn-freeform-1.4.1.jar
ccm-cms-types-agenda-6.1.0                  
ccm-cms-types-motditem-6.1.0-sql.jar      ccm-ldn-freeform-1.4.1-pdl.jar
ccm-cms-types-agenda-6.1.0.jar              
ccm-cms-types-mparticle-6.1.0             ccm-ldn-freeform-1.4.1-sql.jar
ccm-cms-types-agenda-6.1.0-pdl.jar          
ccm-cms-types-mparticle-6.1.0.jar         ccm-ldn-navigation-1.4.1
ccm-cms-types-agenda-6.1.0-sql.jar          
ccm-cms-types-mparticle-6.1.0-pdl.jar     ccm-ldn-navigation-1.4.1.jar
ccm-cms-types-article-6.1.0                 
ccm-cms-types-mparticle-6.1.0-sql.jar     ccm-ldn-navigation-1.4.1-pdl.jar
ccm-cms-types-article-6.1.0.jar             
ccm-cms-types-newsitem-6.1.0              ccm-ldn-navigation-1.4.1-sql.jar
ccm-cms-types-article-6.1.0-pdl.jar         
ccm-cms-types-newsitem-6.1.0.jar          ccm-ldn-portal-1.4.1
ccm-cms-types-article-6.1.0-sql.jar         
ccm-cms-types-newsitem-6.1.0-pdl.jar      ccm-ldn-portal-1.4.1.jar
ccm-cms-types-event-6.1.0                   
ccm-cms-types-newsitem-6.1.0-sql.jar      ccm-ldn-portal-1.4.1-pdl.jar
ccm-cms-types-event-6.1.0.jar               
ccm-cms-types-organization-6.1.0          ccm-ldn-portal-1.4.1-sql.jar
ccm-cms-types-event-6.1.0-pdl.jar           
ccm-cms-types-organization-6.1.0.jar      ccm-ldn-rss-1.4.1
ccm-cms-types-event-6.1.0-sql.jar           
ccm-cms-types-organization-6.1.0-pdl.jar  ccm-ldn-rss-1.4.1.jar
ccm-cms-types-faqitem-6.1.0                 
ccm-cms-types-organization-6.1.0-sql.jar  ccm-ldn-rss-1.4.1-pdl.jar
ccm-cms-types-faqitem-6.1.0.jar             
ccm-cms-types-pressrelease-6.1.0          ccm-ldn-rss-1.4.1-sql.jar
ccm-cms-types-faqitem-6.1.0-pdl.jar         
ccm-cms-types-pressrelease-6.1.0.jar      ccm-ldn-search-1.4.1
ccm-cms-types-faqitem-6.1.0-sql.jar         
ccm-cms-types-pressrelease-6.1.0-pdl.jar  ccm-ldn-search-1.4.1.jar
ccm-cms-types-filestorageitem-6.1.0         
ccm-cms-types-pressrelease-6.1.0-sql.jar  ccm-ldn-search-1.4.1-pdl.jar
ccm-cms-types-filestorageitem-6.1.0.jar     
ccm-cms-types-relatedlink-6.1.0           ccm-ldn-search-1.4.1-sql.jar
ccm-cms-types-filestorageitem-6.1.0-pdl.jar 
ccm-cms-types-relatedlink-6.1.0.jar       ccm-ldn-shortcuts-1.4.1
ccm-cms-types-filestorageitem-6.1.0-sql.jar 
ccm-cms-types-relatedlink-6.1.0-pdl.jar   ccm-ldn-shortcuts-1.4.1.jar
ccm-cms-types-formitem-6.1.0                
ccm-cms-types-relatedlink-6.1.0-sql.jar   ccm-ldn-shortcuts-1.4.1-pdl.jar
ccm-cms-types-formitem-6.1.0.jar            
ccm-cms-types-service-6.1.0               ccm-ldn-shortcuts-1.4.1-sql.jar
ccm-cms-types-formitem-6.1.0-pdl.jar        
ccm-cms-types-service-6.1.0.jar           ccm-ldn-subsite-1.4.1
ccm-cms-types-formitem-6.1.0-sql.jar        
ccm-cms-types-service-6.1.0-pdl.jar       ccm-ldn-subsite-1.4.1.jar
ccm-cms-types-formsectionitem-6.1.0         
ccm-cms-types-service-6.1.0-sql.jar       ccm-ldn-subsite-1.4.1-pdl.jar
ccm-cms-types-formsectionitem-6.1.0.jar      ccm-core-6.1.0          
                 ccm-ldn-subsite-1.4.1-sql.jar
ccm-cms-types-formsectionitem-6.1.0-pdl.jar  ccm-core-6.1.0.jar      
                 ccm-ldn-util-1.4.1
ccm-cms-types-formsectionitem-6.1.0-sql.jar  ccm-core-6.1.0-pdl.jar  
                 ccm-ldn-util-1.4.1.jar
ccm-cms-types-glossaryitem-6.1.0             ccm-core-6.1.0-sql.jar  
                 ccm-ldn-util-1.4.1-pdl.jar
ccm-cms-types-glossaryitem-6.1.0.jar         ccm-forum-1.4.1         
                 ccm-ldn-xmlfeed-1.4.1
ccm-cms-types-glossaryitem-6.1.0-pdl.jar     ccm-forum-1.4.1.jar     
                 ccm-ldn-xmlfeed-1.4.1.jar
ccm-cms-types-glossaryitem-6.1.0-sql.jar     ccm-forum-1.4.1-pdl.jar 
                 ccm-ldn-xmlfeed-1.4.1-pdl.jar
ccm-cms-types-job-6.1.0                      ccm-forum-1.4.1-sql.jar 
                 ccm-ldn-xmlfeed-1.4.1-sql.jar
ccm-cms-types-job-6.1.0.jar                  ccm-ldn-aplaws-1.9.1    
                 ccm-simplesurvey-1.4.1
ccm-cms-types-job-6.1.0-pdl.jar              ccm-ldn-aplaws-1.9.1.jar
                 ccm-simplesurvey-1.4.1.jar
ccm-cms-types-job-6.1.0-sql.jar             
ccm-ldn-aplaws-1.9.1-pdl.jar              ccm-simplesurvey-1.4.1-pdl.jar
ccm-cms-types-legalnotice-6.1.0             
ccm-ldn-aplaws-1.9.1-sql.jar              ccm-simplesurvey-1.4.1-sql.jar
ccm-cms-types-legalnotice-6.1.0.jar          ccm-ldn-atoz-1.0.0
ccm-cms-types-legalnotice-6.1.0-pdl.jar      ccm-ldn-atoz-1.0.0.jar
[arturo@staging01 lib]$ 

Now look at the contents of the subdirectories:

[arturo@staging01 lib]$ ls */*
ccm-cms-6.1.0/jakarta-oro-2.0.4.jar                      
ccm-core-6.1.0/jaxp.jar        ccm-core-6.1.0/xerces.jar
ccm-core-6.1.0/activation.jar                            
ccm-core-6.1.0/jdom.jar        ccm-core-6.1.0/xsltc.jar
ccm-core-6.1.0/aspectjrt-1.0.5.jar                       
ccm-core-6.1.0/jdxslt.jar      ccm-ldn-search-1.4.1/axis.jar
ccm-core-6.1.0/cactus-1.4.1.jar                          
ccm-core-6.1.0/log4j.jar       ccm-ldn-search-1.4.1/commons-discovery.jar
ccm-core-6.1.0/commons-beanutils.jar                     
ccm-core-6.1.0/lucene-1.2.jar  ccm-ldn-search-1.4.1/jaxrpc.jar
ccm-core-6.1.0/commons-cli-1.0-beta-2-dev.jar            
ccm-core-6.1.0/mail.jar        ccm-ldn-search-1.4.1/jobo.jar
ccm-core-6.1.0/commons-httpclient-2.0alpha1-20020606.jar 
ccm-core-6.1.0/postgresql.jar  ccm-ldn-search-1.4.1/saaj.jar
ccm-core-6.1.0/commons-logging-1.0.jar                   
ccm-core-6.1.0/saxon.jar       ccm-ldn-search-1.4.1/tt-bytecode.jar
ccm-core-6.1.0/i18n.jar                                  
ccm-core-6.1.0/Tidy.jar        ccm-ldn-search-1.4.1/wsdl4j.jar
ccm-core-6.1.0/jakarta-oro-2.0.7.jar                     
ccm-core-6.1.0/xalan.jar
[arturo@staging01 lib]$ 



Expected results:
From a production deployment with same files

dan@barnet$ ls /var/lib/ccm/webapps/WEB-INF/lib/
activation.jar                               ccm-core-6.1.0-pdl.jar
aspectjrt-1.0.5.jar                          ccm-core-6.1.0-sql.jar
axis.jar                                     ccm-forum-1.4.1.jar
bcprov-jdk13-115.jar                         ccm-forum-1.4.1-pdl.jar
cactus-1.4.1.jar                             ccm-forum-1.4.1-sql.jar
ccm-auth-http-1.4.1.jar                      ccm-ldn-aplaws-1.9.1.jar
ccm-auth-http-1.4.1-pdl.jar                  ccm-ldn-aplaws-1.9.1-pdl.jar
ccm-auth-http-1.4.1-sql.jar                  ccm-ldn-aplaws-1.9.1-sql.jar
ccm-cms-6.1.0.jar                            ccm-ldn-atoz-1.0.0.jar
ccm-cms-6.1.0-pdl.jar                        ccm-ldn-atoz-1.0.0-pdl.jar
ccm-cms-6.1.0-sql.jar                        ccm-ldn-atoz-1.0.0-sql.jar
ccm-cms-types-address-6.1.0.jar              ccm-ldn-dublin-1.4.1.jar
ccm-cms-types-address-6.1.0-pdl.jar          ccm-ldn-dublin-1.4.1-pdl.jar
ccm-cms-types-address-6.1.0-sql.jar          ccm-ldn-dublin-1.4.1-sql.jar
ccm-cms-types-agenda-6.1.0.jar               ccm-ldn-freeform-1.4.1.jar
ccm-cms-types-agenda-6.1.0-pdl.jar          
ccm-ldn-freeform-1.4.1-pdl.jar
ccm-cms-types-agenda-6.1.0-sql.jar          
ccm-ldn-freeform-1.4.1-sql.jar
ccm-cms-types-article-6.1.0.jar              ccm-ldn-navigation-1.4.1.jar
ccm-cms-types-article-6.1.0-pdl.jar         
ccm-ldn-navigation-1.4.1-pdl.jar
ccm-cms-types-article-6.1.0-sql.jar         
ccm-ldn-navigation-1.4.1-sql.jar
ccm-cms-types-event-6.1.0.jar                ccm-ldn-portal-1.4.1.jar
ccm-cms-types-event-6.1.0-pdl.jar            ccm-ldn-portal-1.4.1-pdl.jar
ccm-cms-types-event-6.1.0-sql.jar            ccm-ldn-portal-1.4.1-sql.jar
ccm-cms-types-faqitem-6.1.0.jar              ccm-ldn-rss-1.4.1.jar
ccm-cms-types-faqitem-6.1.0-pdl.jar          ccm-ldn-rss-1.4.1-pdl.jar
ccm-cms-types-faqitem-6.1.0-sql.jar          ccm-ldn-rss-1.4.1-sql.jar
ccm-cms-types-filestorageitem-6.1.0.jar      ccm-ldn-search-1.4.1.jar
ccm-cms-types-filestorageitem-6.1.0-pdl.jar  ccm-ldn-search-1.4.1-pdl.jar
ccm-cms-types-filestorageitem-6.1.0-sql.jar  ccm-ldn-search-1.4.1-sql.jar
ccm-cms-types-formitem-6.1.0.jar             ccm-ldn-shortcuts-1.4.1.jar
ccm-cms-types-formitem-6.1.0-pdl.jar        
ccm-ldn-shortcuts-1.4.1-pdl.jar
ccm-cms-types-formitem-6.1.0-sql.jar        
ccm-ldn-shortcuts-1.4.1-sql.jar
ccm-cms-types-formsectionitem-6.1.0.jar      ccm-ldn-subsite-1.4.1.jar
ccm-cms-types-formsectionitem-6.1.0-pdl.jar  ccm-ldn-subsite-1.4.1-pdl.jar
ccm-cms-types-formsectionitem-6.1.0-sql.jar  ccm-ldn-subsite-1.4.1-sql.jar
ccm-cms-types-glossaryitem-6.1.0.jar         ccm-ldn-util-1.4.1.jar
ccm-cms-types-glossaryitem-6.1.0-pdl.jar     ccm-ldn-util-1.4.1-pdl.jar
ccm-cms-types-glossaryitem-6.1.0-sql.jar     ccm-ldn-xmlfeed-1.4.1.jar
ccm-cms-types-job-6.1.0.jar                  ccm-ldn-xmlfeed-1.4.1-pdl.jar
ccm-cms-types-job-6.1.0-pdl.jar              ccm-ldn-xmlfeed-1.4.1-sql.jar
ccm-cms-types-job-6.1.0-sql.jar              ccm-simplesurvey-1.4.1.jar
ccm-cms-types-legalnotice-6.1.0.jar         
ccm-simplesurvey-1.4.1-pdl.jar
ccm-cms-types-legalnotice-6.1.0-pdl.jar     
ccm-simplesurvey-1.4.1-sql.jar
ccm-cms-types-legalnotice-6.1.0-sql.jar      commons-beanutils.jar
ccm-cms-types-minutes-6.1.0.jar             
commons-cli-1.0-beta-2-dev.jar
ccm-cms-types-minutes-6.1.0-pdl.jar          commons-discovery.jar
ccm-cms-types-minutes-6.1.0-sql.jar         
commons-httpclient-2.0alpha1-20020606.jar
ccm-cms-types-motditem-6.1.0.jar             commons-logging-1.0.jar
ccm-cms-types-motditem-6.1.0-pdl.jar         i18n.jar
ccm-cms-types-motditem-6.1.0-sql.jar         jakarta-oro-2.0.4.jar
ccm-cms-types-mparticle-6.1.0.jar            jakarta-oro-2.0.7.jar
ccm-cms-types-mparticle-6.1.0-pdl.jar        jaxp.jar
ccm-cms-types-mparticle-6.1.0-sql.jar        jaxrpc.jar
ccm-cms-types-newsitem-6.1.0.jar             jce-jdk13-115.jar
ccm-cms-types-newsitem-6.1.0-pdl.jar         jdom.jar
ccm-cms-types-newsitem-6.1.0-sql.jar         jdxslt.jar
ccm-cms-types-organization-6.1.0.jar         jobo.jar
ccm-cms-types-organization-6.1.0-pdl.jar     log4j.jar
ccm-cms-types-organization-6.1.0-sql.jar     lucene-1.2.jar
ccm-cms-types-pressrelease-6.1.0.jar         mail.jar
ccm-cms-types-pressrelease-6.1.0-pdl.jar     postgresql.jar
ccm-cms-types-pressrelease-6.1.0-sql.jar     saaj.jar
ccm-cms-types-relatedlink-6.1.0.jar          saxon.jar
ccm-cms-types-relatedlink-6.1.0-pdl.jar      Tidy.jar
ccm-cms-types-relatedlink-6.1.0-sql.jar      tt-bytecode.jar
ccm-cms-types-service-6.1.0.jar              wsdl4j.jar
ccm-cms-types-service-6.1.0-pdl.jar          xalan.jar
ccm-cms-types-service-6.1.0-sql.jar          xerces.jar
ccm-core-6.1.0.jar                           xsltc.jar
dan@barnet$ 


Additional info:

This is blocking Camden's testing & use of the new build.
Comment 1 Daniel Berrange 2003-11-20 12:59:31 EST
Oddly, I am now unable to reproduce this. It must have been picking up
an incorrect environment variable / legacy install of one of the RPMs.

Note You need to log in before you can comment on or make changes to this bug.